CourseLit logoCourseLit Docs
Api reference

List product sections

GET
/api/products/{productId}/sections

Authorization

ApiKeyAuth
x-api-key<token>

API key created in CourseLit dashboard settings. The legacy apikey request-body field is still accepted but deprecated.

In: header

Path Parameters

productId*string

Response Body

application/json

application/json

curl -X GET "https://school.courselit.app/api/products/string/sections"
{
  "data": [
    {
      "sectionId": "string",
      "name": "string",
      "rank": 0,
      "collapsed": true,
      "drip": {
        "type": "relative-date",
        "status": true,
        "delayInMillis": 0,
        "dateInUTC": 0
      },
      "lessonsOrder": [
        "string"
      ]
    }
  ]
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}